Skip to content
scango.ch
Esc
↑↓navigate↵open⌘Jpreview

Get store by ID

Get a store by id. A soft-deleted item is returned with deleted: true.

GET/stores/{storeId}
Authorization
AuthorizationBearer token (API key) · headerrequired

Organization API key.

Path parameters
storeIdstringrequired
Responses
200

Store details

dataStorerequired

Store location. Payment integration secrets are never returned.

Show properties
idstringrequired
namestring
citystring

Human-readable store label within the organization

addressstring
zipCodestring
vatNumberstring
paymentCashboolean
paymentPaytecboolean
paymentZahlsboolean
paymentZahlsOfflineboolean
paymentCashOfflineboolean
showSupplierboolean
logoUrlstring
languageMainstring
Allowed:deenfrit
deletedboolean
403

Missing, unknown or inactive API key, or a Read key on a write operation.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

404

No item with this id.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://dashboard.scango.ch/api/v1/stores/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "store_01",
    "name": "Main store",
    "city": "Zürich",
    "address": "Bahnhofstrasse 1",
    "zipCode": "8001"
  }
}

Was this page helpful?